module Catppuccin.Frappe exposing (rosewater, flamingo, pink, mauve, red, maroon, peach, yellow, green, teal, sky, sapphire, blue, lavender, text, subtext1, subtext0, overlay2, overlay1, overlay0, surface2, surface1, surface0, base, mantle, crust)

{-|


# Catppuccin frappe flavor

This module hosts the **frappe** flavor of the Catppuccin color scheme. You can
find an overview, a guide on how to use the colors and other resources on the
[Catppuccin website](https://catppuccin.com/).

@docs rosewater, flamingo, pink, mauve, red, maroon, peach, yellow, green, teal, sky, sapphire, blue, lavender, text, subtext1, subtext0, overlay2, overlay1, overlay0, surface2, surface1, surface0, base, mantle, crust

-}

import Color as C


{-| Rosewater

![Rosewater color](https://raw.githubusercontent.com/noordstar/elm-palette/main/img/frappe/Rosewater.png)

-}
rosewater : C.Color
rosewater =
    C.rgb255 242 213 207


{-| Flamingo

![Flamingo color](https://raw.githubusercontent.com/noordstar/elm-palette/main/img/frappe/Flamingo.png)

-}
flamingo : C.Color
flamingo =
    C.rgb255 238 190 190


{-| Pink

![Pink color](https://raw.githubusercontent.com/noordstar/elm-palette/main/img/frappe/Pink.png)

-}
pink : C.Color
pink =
    C.rgb255 244 184 228


{-| Mauve

![Mauve color](https://raw.githubusercontent.com/noordstar/elm-palette/main/img/frappe/Mauve.png)

-}
mauve : C.Color
mauve =
    C.rgb255 202 158 230


{-| Red

![Red color](https://raw.githubusercontent.com/noordstar/elm-palette/main/img/frappe/Red.png)

-}
red : C.Color
red =
    C.rgb255 231 130 132


{-| Maroon

![Maroon color](https://raw.githubusercontent.com/noordstar/elm-palette/main/img/frappe/Maroon.png)

-}
maroon : C.Color
maroon =
    C.rgb255 234 153 156


{-| Peach

![Peach color](https://raw.githubusercontent.com/noordstar/elm-palette/main/img/frappe/Peach.png)

-}
peach : C.Color
peach =
    C.rgb255 239 159 118


{-| Yellow

![Yellow color](https://raw.githubusercontent.com/noordstar/elm-palette/main/img/frappe/Yellow.png)

-}
yellow : C.Color
yellow =
    C.rgb255 229 200 144


{-| Green

![Green color](https://raw.githubusercontent.com/noordstar/elm-palette/main/img/frappe/Green.png)

-}
green : C.Color
green =
    C.rgb255 166 209 137


{-| Teal

![Teal color](https://raw.githubusercontent.com/noordstar/elm-palette/main/img/frappe/Teal.png)

-}
teal : C.Color
teal =
    C.rgb255 129 200 190


{-| Sky

![Sky color](https://raw.githubusercontent.com/noordstar/elm-palette/main/img/frappe/Sky.png)

-}
sky : C.Color
sky =
    C.rgb255 153 209 219


{-| Sapphire

![Sapphire color](https://raw.githubusercontent.com/noordstar/elm-palette/main/img/frappe/Sapphire.png)

-}
sapphire : C.Color
sapphire =
    C.rgb255 133 193 220


{-| Blue

![Blue color](https://raw.githubusercontent.com/noordstar/elm-palette/main/img/frappe/Blue.png)

-}
blue : C.Color
blue =
    C.rgb255 140 170 238


{-| Lavender

![Lavender color](https://raw.githubusercontent.com/noordstar/elm-palette/main/img/frappe/Lavender.png)

-}
lavender : C.Color
lavender =
    C.rgb255 186 187 241


{-| Text

![Text color](https://raw.githubusercontent.com/noordstar/elm-palette/main/img/frappe/Text.png)

-}
text : C.Color
text =
    C.rgb255 198 208 245


{-| Subtext 1

![Subtext 1 color](https://raw.githubusercontent.com/noordstar/elm-palette/main/img/frappe/Subtext%201.png)

-}
subtext1 : C.Color
subtext1 =
    C.rgb255 181 191 226


{-| Subtext 0

![Subtext 0 color](https://raw.githubusercontent.com/noordstar/elm-palette/main/img/frappe/Subtext%200.png)

-}
subtext0 : C.Color
subtext0 =
    C.rgb255 165 173 206


{-| Overlay 2

![Overlay 2 color](https://raw.githubusercontent.com/noordstar/elm-palette/main/img/frappe/Overlay%202.png)

-}
overlay2 : C.Color
overlay2 =
    C.rgb255 148 156 187


{-| Overlay 1

![Overlay 1 color](https://raw.githubusercontent.com/noordstar/elm-palette/main/img/frappe/Overlay%201.png)

-}
overlay1 : C.Color
overlay1 =
    C.rgb255 131 139 167


{-| Overlay 0

![Overlay 0 color](https://raw.githubusercontent.com/noordstar/elm-palette/main/img/frappe/Overlay%200.png)

-}
overlay0 : C.Color
overlay0 =
    C.rgb255 115 121 148


{-| Surface 2

![Surface 2 color](https://raw.githubusercontent.com/noordstar/elm-palette/main/img/frappe/Surface%202.png)

-}
surface2 : C.Color
surface2 =
    C.rgb255 98 104 128


{-| Surface 1

![Surface 1 color](https://raw.githubusercontent.com/noordstar/elm-palette/main/img/frappe/Surface%201.png)

-}
surface1 : C.Color
surface1 =
    C.rgb255 81 87 109


{-| Surface 0

![Surface 0 color](https://raw.githubusercontent.com/noordstar/elm-palette/main/img/frappe/Surface%200.png)

-}
surface0 : C.Color
surface0 =
    C.rgb255 65 69 89


{-| Base

![Base color](https://raw.githubusercontent.com/noordstar/elm-palette/main/img/frappe/Base.png)

-}
base : C.Color
base =
    C.rgb255 48 52 70


{-| Mantle

![Mantle color](https://raw.githubusercontent.com/noordstar/elm-palette/main/img/frappe/Mantle.png)

-}
mantle : C.Color
mantle =
    C.rgb255 41 44 60


{-| Crust

![Crust color](https://raw.githubusercontent.com/noordstar/elm-palette/main/img/frappe/Crust.png)

-}
crust : C.Color
crust =
    C.rgb255 35 38 52
