module Catppuccin.Latte exposing (rosewater, flamingo, pink, mauve, red, maroon, peach, yellow, green, teal, sky, sapphire, blue, lavender, text, subtext1, subtext0, overlay2, overlay1, overlay0, surface2, surface1, surface0, base, mantle, crust)

{-|


# Catppuccin latte flavor

This module hosts the **latte** flavor of the Catppuccin color scheme. You can
find an overview, a guide on how to use the colors and other resources on the
[Catppuccin website](https://catppuccin.com/).

@docs rosewater, flamingo, pink, mauve, red, maroon, peach, yellow, green, teal, sky, sapphire, blue, lavender, text, subtext1, subtext0, overlay2, overlay1, overlay0, surface2, surface1, surface0, base, mantle, crust

-}

import Color as C


{-| Rosewater

![Rosewater color](https://raw.githubusercontent.com/noordstar/elm-palette/main/img/latte/Rosewater.png)

-}
rosewater : C.Color
rosewater =
    C.rgb255 220 138 120


{-| Flamingo

![Flamingo color](https://raw.githubusercontent.com/noordstar/elm-palette/main/img/latte/Flamingo.png)

-}
flamingo : C.Color
flamingo =
    C.rgb255 221 120 120


{-| Pink

![Pink color](https://raw.githubusercontent.com/noordstar/elm-palette/main/img/latte/Pink.png)

-}
pink : C.Color
pink =
    C.rgb255 234 118 203


{-| Mauve

![Mauve color](https://raw.githubusercontent.com/noordstar/elm-palette/main/img/latte/Mauve.png)

-}
mauve : C.Color
mauve =
    C.rgb255 136 57 239


{-| Red

![Red color](https://raw.githubusercontent.com/noordstar/elm-palette/main/img/latte/Red.png)

-}
red : C.Color
red =
    C.rgb255 210 15 57


{-| Maroon

![Maroon color](https://raw.githubusercontent.com/noordstar/elm-palette/main/img/latte/Maroon.png)

-}
maroon : C.Color
maroon =
    C.rgb255 230 69 83


{-| Peach

![Peach color](https://raw.githubusercontent.com/noordstar/elm-palette/main/img/latte/Peach.png)

-}
peach : C.Color
peach =
    C.rgb255 254 100 11


{-| Yellow

![Yellow color](https://raw.githubusercontent.com/noordstar/elm-palette/main/img/latte/Yellow.png)

-}
yellow : C.Color
yellow =
    C.rgb255 223 142 29


{-| Green

![Green color](https://raw.githubusercontent.com/noordstar/elm-palette/main/img/latte/Green.png)

-}
green : C.Color
green =
    C.rgb255 64 160 43


{-| Teal

![Teal color](https://raw.githubusercontent.com/noordstar/elm-palette/main/img/latte/Teal.png)

-}
teal : C.Color
teal =
    C.rgb255 23 146 153


{-| Sky

![Sky color](https://raw.githubusercontent.com/noordstar/elm-palette/main/img/latte/Sky.png)

-}
sky : C.Color
sky =
    C.rgb255 4 165 229


{-| Sapphire

![Sapphire color](https://raw.githubusercontent.com/noordstar/elm-palette/main/img/latte/Sapphire.png)

-}
sapphire : C.Color
sapphire =
    C.rgb255 32 159 181


{-| Blue

![Blue color](https://raw.githubusercontent.com/noordstar/elm-palette/main/img/latte/Blue.png)

-}
blue : C.Color
blue =
    C.rgb255 30 102 245


{-| Lavender

![Lavender color](https://raw.githubusercontent.com/noordstar/elm-palette/main/img/latte/Lavender.png)

-}
lavender : C.Color
lavender =
    C.rgb255 114 135 253


{-| Text

![Text color](https://raw.githubusercontent.com/noordstar/elm-palette/main/img/latte/Text.png)

-}
text : C.Color
text =
    C.rgb255 76 79 105


{-| Subtext 1

![Subtext 1 color](https://raw.githubusercontent.com/noordstar/elm-palette/main/img/latte/Subtext%201.png)

-}
subtext1 : C.Color
subtext1 =
    C.rgb255 92 95 119


{-| Subtext 0

![Subtext 0 color](https://raw.githubusercontent.com/noordstar/elm-palette/main/img/latte/Subtext%200.png)

-}
subtext0 : C.Color
subtext0 =
    C.rgb255 108 111 133


{-| Overlay 2

![Overlay 2 color](https://raw.githubusercontent.com/noordstar/elm-palette/main/img/latte/Overlay%202.png)

-}
overlay2 : C.Color
overlay2 =
    C.rgb255 124 127 147


{-| Overlay 1

![Overlay 1 color](https://raw.githubusercontent.com/noordstar/elm-palette/main/img/latte/Overlay%201.png)

-}
overlay1 : C.Color
overlay1 =
    C.rgb255 140 143 161


{-| Overlay 0

![Overlay 0 color](https://raw.githubusercontent.com/noordstar/elm-palette/main/img/latte/Overlay%200.png)

-}
overlay0 : C.Color
overlay0 =
    C.rgb255 156 160 176


{-| Surface 2

![Surface 2 color](https://raw.githubusercontent.com/noordstar/elm-palette/main/img/latte/Surface%202.png)

-}
surface2 : C.Color
surface2 =
    C.rgb255 172 176 190


{-| Surface 1

![Surface 1 color](https://raw.githubusercontent.com/noordstar/elm-palette/main/img/latte/Surface%201.png)

-}
surface1 : C.Color
surface1 =
    C.rgb255 188 192 204


{-| Surface 0

![Surface 0 color](https://raw.githubusercontent.com/noordstar/elm-palette/main/img/latte/Surface%200.png)

-}
surface0 : C.Color
surface0 =
    C.rgb255 204 208 218


{-| Base

![Base color](https://raw.githubusercontent.com/noordstar/elm-palette/main/img/latte/Base.png)

-}
base : C.Color
base =
    C.rgb255 239 241 245


{-| Mantle

![Mantle color](https://raw.githubusercontent.com/noordstar/elm-palette/main/img/latte/Mantle.png)

-}
mantle : C.Color
mantle =
    C.rgb255 230 233 239


{-| Crust

![Crust color](https://raw.githubusercontent.com/noordstar/elm-palette/main/img/latte/Crust.png)

-}
crust : C.Color
crust =
    C.rgb255 220 224 232
