module Catppuccin.Macchiato exposing (rosewater, flamingo, pink, mauve, red, maroon, peach, yellow, green, teal, sky, sapphire, blue, lavender, text, subtext1, subtext0, overlay2, overlay1, overlay0, surface2, surface1, surface0, base, mantle, crust)

{-|


# Catppuccin macchiato flavor

This module hosts the **macchiato** flavor of the Catppuccin color scheme. You can
find an overview, a guide on how to use the colors and other resources on the
[Catppuccin website](https://catppuccin.com/).

@docs rosewater, flamingo, pink, mauve, red, maroon, peach, yellow, green, teal, sky, sapphire, blue, lavender, text, subtext1, subtext0, overlay2, overlay1, overlay0, surface2, surface1, surface0, base, mantle, crust

-}

import Color as C


{-| Rosewater

![Rosewater color](https://raw.githubusercontent.com/noordstar/elm-palette/main/img/macchiato/Rosewater.png)

-}
rosewater : C.Color
rosewater =
    C.rgb255 244 219 214


{-| Flamingo

![Flamingo color](https://raw.githubusercontent.com/noordstar/elm-palette/main/img/macchiato/Flamingo.png)

-}
flamingo : C.Color
flamingo =
    C.rgb255 240 198 198


{-| Pink

![Pink color](https://raw.githubusercontent.com/noordstar/elm-palette/main/img/macchiato/Pink.png)

-}
pink : C.Color
pink =
    C.rgb255 245 189 230


{-| Mauve

![Mauve color](https://raw.githubusercontent.com/noordstar/elm-palette/main/img/macchiato/Mauve.png)

-}
mauve : C.Color
mauve =
    C.rgb255 198 160 246


{-| Red

![Red color](https://raw.githubusercontent.com/noordstar/elm-palette/main/img/macchiato/Red.png)

-}
red : C.Color
red =
    C.rgb255 237 135 150


{-| Maroon

![Maroon color](https://raw.githubusercontent.com/noordstar/elm-palette/main/img/macchiato/Maroon.png)

-}
maroon : C.Color
maroon =
    C.rgb255 238 153 160


{-| Peach

![Peach color](https://raw.githubusercontent.com/noordstar/elm-palette/main/img/macchiato/Peach.png)

-}
peach : C.Color
peach =
    C.rgb255 245 169 127


{-| Yellow

![Yellow color](https://raw.githubusercontent.com/noordstar/elm-palette/main/img/macchiato/Yellow.png)

-}
yellow : C.Color
yellow =
    C.rgb255 238 212 159


{-| Green

![Green color](https://raw.githubusercontent.com/noordstar/elm-palette/main/img/macchiato/Green.png)

-}
green : C.Color
green =
    C.rgb255 166 218 149


{-| Teal

![Teal color](https://raw.githubusercontent.com/noordstar/elm-palette/main/img/macchiato/Teal.png)

-}
teal : C.Color
teal =
    C.rgb255 139 213 202


{-| Sky

![Sky color](https://raw.githubusercontent.com/noordstar/elm-palette/main/img/macchiato/Sky.png)

-}
sky : C.Color
sky =
    C.rgb255 145 215 227


{-| Sapphire

![Sapphire color](https://raw.githubusercontent.com/noordstar/elm-palette/main/img/macchiato/Sapphire.png)

-}
sapphire : C.Color
sapphire =
    C.rgb255 125 196 228


{-| Blue

![Blue color](https://raw.githubusercontent.com/noordstar/elm-palette/main/img/macchiato/Blue.png)

-}
blue : C.Color
blue =
    C.rgb255 138 173 244


{-| Lavender

![Lavender color](https://raw.githubusercontent.com/noordstar/elm-palette/main/img/macchiato/Lavender.png)

-}
lavender : C.Color
lavender =
    C.rgb255 183 189 248


{-| Text

![Text color](https://raw.githubusercontent.com/noordstar/elm-palette/main/img/macchiato/Text.png)

-}
text : C.Color
text =
    C.rgb255 202 211 245


{-| Subtext 1

![Subtext 1 color](https://raw.githubusercontent.com/noordstar/elm-palette/main/img/macchiato/Subtext%201.png)

-}
subtext1 : C.Color
subtext1 =
    C.rgb255 184 192 224


{-| Subtext 0

![Subtext 0 color](https://raw.githubusercontent.com/noordstar/elm-palette/main/img/macchiato/Subtext%200.png)

-}
subtext0 : C.Color
subtext0 =
    C.rgb255 165 173 203


{-| Overlay 2

![Overlay 2 color](https://raw.githubusercontent.com/noordstar/elm-palette/main/img/macchiato/Overlay%202.png)

-}
overlay2 : C.Color
overlay2 =
    C.rgb255 147 154 183


{-| Overlay 1

![Overlay 1 color](https://raw.githubusercontent.com/noordstar/elm-palette/main/img/macchiato/Overlay%201.png)

-}
overlay1 : C.Color
overlay1 =
    C.rgb255 128 135 162


{-| Overlay 0

![Overlay 0 color](https://raw.githubusercontent.com/noordstar/elm-palette/main/img/macchiato/Overlay%200.png)

-}
overlay0 : C.Color
overlay0 =
    C.rgb255 110 115 141


{-| Surface 2

![Surface 2 color](https://raw.githubusercontent.com/noordstar/elm-palette/main/img/macchiato/Surface%202.png)

-}
surface2 : C.Color
surface2 =
    C.rgb255 91 96 120


{-| Surface 1

![Surface 1 color](https://raw.githubusercontent.com/noordstar/elm-palette/main/img/macchiato/Surface%201.png)

-}
surface1 : C.Color
surface1 =
    C.rgb255 73 77 100


{-| Surface 0

![Surface 0 color](https://raw.githubusercontent.com/noordstar/elm-palette/main/img/macchiato/Surface%200.png)

-}
surface0 : C.Color
surface0 =
    C.rgb255 54 58 79


{-| Base

![Base color](https://raw.githubusercontent.com/noordstar/elm-palette/main/img/macchiato/Base.png)

-}
base : C.Color
base =
    C.rgb255 36 39 58


{-| Mantle

![Mantle color](https://raw.githubusercontent.com/noordstar/elm-palette/main/img/macchiato/Mantle.png)

-}
mantle : C.Color
mantle =
    C.rgb255 30 32 48


{-| Crust

![Crust color](https://raw.githubusercontent.com/noordstar/elm-palette/main/img/macchiato/Crust.png)

-}
crust : C.Color
crust =
    C.rgb255 24 25 38
