module Catppuccin.Mocha exposing (rosewater, flamingo, pink, mauve, red, maroon, peach, yellow, green, teal, sky, sapphire, blue, lavender, text, subtext1, subtext0, overlay2, overlay1, overlay0, surface2, surface1, surface0, base, mantle, crust)

{-|


# Catppuccin mocha flavor

This module hosts the **mocha** flavor of the Catppuccin color scheme. You can
find an overview, a guide on how to use the colors and other resources on the
[Catppuccin website](https://catppuccin.com/).

@docs rosewater, flamingo, pink, mauve, red, maroon, peach, yellow, green, teal, sky, sapphire, blue, lavender, text, subtext1, subtext0, overlay2, overlay1, overlay0, surface2, surface1, surface0, base, mantle, crust

-}

import Color as C


{-| Rosewater

![Rosewater color](https://raw.githubusercontent.com/noordstar/elm-palette/main/img/mocha/Rosewater.png)

-}
rosewater : C.Color
rosewater =
    C.rgb255 245 224 220


{-| Flamingo

![Flamingo color](https://raw.githubusercontent.com/noordstar/elm-palette/main/img/mocha/Flamingo.png)

-}
flamingo : C.Color
flamingo =
    C.rgb255 242 205 205


{-| Pink

![Pink color](https://raw.githubusercontent.com/noordstar/elm-palette/main/img/mocha/Pink.png)

-}
pink : C.Color
pink =
    C.rgb255 245 194 231


{-| Mauve

![Mauve color](https://raw.githubusercontent.com/noordstar/elm-palette/main/img/mocha/Mauve.png)

-}
mauve : C.Color
mauve =
    C.rgb255 203 166 247


{-| Red

![Red color](https://raw.githubusercontent.com/noordstar/elm-palette/main/img/mocha/Red.png)

-}
red : C.Color
red =
    C.rgb255 243 139 168


{-| Maroon

![Maroon color](https://raw.githubusercontent.com/noordstar/elm-palette/main/img/mocha/Maroon.png)

-}
maroon : C.Color
maroon =
    C.rgb255 235 160 172


{-| Peach

![Peach color](https://raw.githubusercontent.com/noordstar/elm-palette/main/img/mocha/Peach.png)

-}
peach : C.Color
peach =
    C.rgb255 250 179 135


{-| Yellow

![Yellow color](https://raw.githubusercontent.com/noordstar/elm-palette/main/img/mocha/Yellow.png)

-}
yellow : C.Color
yellow =
    C.rgb255 249 226 175


{-| Green

![Green color](https://raw.githubusercontent.com/noordstar/elm-palette/main/img/mocha/Green.png)

-}
green : C.Color
green =
    C.rgb255 166 227 161


{-| Teal

![Teal color](https://raw.githubusercontent.com/noordstar/elm-palette/main/img/mocha/Teal.png)

-}
teal : C.Color
teal =
    C.rgb255 148 226 213


{-| Sky

![Sky color](https://raw.githubusercontent.com/noordstar/elm-palette/main/img/mocha/Sky.png)

-}
sky : C.Color
sky =
    C.rgb255 137 220 235


{-| Sapphire

![Sapphire color](https://raw.githubusercontent.com/noordstar/elm-palette/main/img/mocha/Sapphire.png)

-}
sapphire : C.Color
sapphire =
    C.rgb255 116 199 236


{-| Blue

![Blue color](https://raw.githubusercontent.com/noordstar/elm-palette/main/img/mocha/Blue.png)

-}
blue : C.Color
blue =
    C.rgb255 137 180 250


{-| Lavender

![Lavender color](https://raw.githubusercontent.com/noordstar/elm-palette/main/img/mocha/Lavender.png)

-}
lavender : C.Color
lavender =
    C.rgb255 180 190 254


{-| Text

![Text color](https://raw.githubusercontent.com/noordstar/elm-palette/main/img/mocha/Text.png)

-}
text : C.Color
text =
    C.rgb255 205 214 244


{-| Subtext 1

![Subtext 1 color](https://raw.githubusercontent.com/noordstar/elm-palette/main/img/mocha/Subtext%201.png)

-}
subtext1 : C.Color
subtext1 =
    C.rgb255 186 194 222


{-| Subtext 0

![Subtext 0 color](https://raw.githubusercontent.com/noordstar/elm-palette/main/img/mocha/Subtext%200.png)

-}
subtext0 : C.Color
subtext0 =
    C.rgb255 166 173 200


{-| Overlay 2

![Overlay 2 color](https://raw.githubusercontent.com/noordstar/elm-palette/main/img/mocha/Overlay%202.png)

-}
overlay2 : C.Color
overlay2 =
    C.rgb255 147 153 178


{-| Overlay 1

![Overlay 1 color](https://raw.githubusercontent.com/noordstar/elm-palette/main/img/mocha/Overlay%201.png)

-}
overlay1 : C.Color
overlay1 =
    C.rgb255 127 132 156


{-| Overlay 0

![Overlay 0 color](https://raw.githubusercontent.com/noordstar/elm-palette/main/img/mocha/Overlay%200.png)

-}
overlay0 : C.Color
overlay0 =
    C.rgb255 108 112 134


{-| Surface 2

![Surface 2 color](https://raw.githubusercontent.com/noordstar/elm-palette/main/img/mocha/Surface%202.png)

-}
surface2 : C.Color
surface2 =
    C.rgb255 88 91 112


{-| Surface 1

![Surface 1 color](https://raw.githubusercontent.com/noordstar/elm-palette/main/img/mocha/Surface%201.png)

-}
surface1 : C.Color
surface1 =
    C.rgb255 69 71 90


{-| Surface 0

![Surface 0 color](https://raw.githubusercontent.com/noordstar/elm-palette/main/img/mocha/Surface%200.png)

-}
surface0 : C.Color
surface0 =
    C.rgb255 49 50 68


{-| Base

![Base color](https://raw.githubusercontent.com/noordstar/elm-palette/main/img/mocha/Base.png)

-}
base : C.Color
base =
    C.rgb255 30 30 46


{-| Mantle

![Mantle color](https://raw.githubusercontent.com/noordstar/elm-palette/main/img/mocha/Mantle.png)

-}
mantle : C.Color
mantle =
    C.rgb255 24 24 37


{-| Crust

![Crust color](https://raw.githubusercontent.com/noordstar/elm-palette/main/img/mocha/Crust.png)

-}
crust : C.Color
crust =
    C.rgb255 17 17 27
